(function () {
    'use strict';

    angular
        .module('app.core')
        .directive('stateLoading', stateLoading);

    /** @ngInject */
    function stateLoading($rootScope) {
        return {
            restrict: 'E',
            template: "<div ng-show='isStateLoading' class='loading-indicator'>" +
            "<div class='loading-indicator-body'>" +
            "<div align=\"center\" class=\"cssload-fond\">" +
            "<div class=\"cssload-container-general\">" +
            "<div class=\"cssload-internal\"><div class=\"cssload-ballcolor cssload-ball_1\"> </div></div>" +
            "<div class=\"cssload-internal\"><div class=\"cssload-ballcolor cssload-ball_2\"> </div></div>" +
            "<div class=\"cssload-internal\"><div class=\"cssload-ballcolor cssload-ball_3\"> </div></div>" +
            "<div class=\"cssload-internal\"><div class=\"cssload-ballcolor cssload-ball_4\"> </div></div>" +
            "</div>" +
            "</div>" +
            //"<img src='assets/loader.gif'/>" +
            "</div>" +
            "</div>",
            replace: true,
            link: function (scope, elem, attrs) {
                scope.isStateLoading = false;

                $rootScope.$on('$stateChangeStart', function () {
                    scope.isStateLoading = true;
                });
                $rootScope.$on('$stateChangeSuccess', function () {
                    scope.isStateLoading = false;
                });
                $rootScope.$on('$showLoading', function (event, state) {
                    scope.isStateLoading = state || false;
                });
            }
        };
    }
}());
