(function () {
    'use strict';

    angular
        .module('app.page.input', [])
        .config(config);

    /** @ngInject */
    function config($stateProvider, $translatePartialLoaderProvider) {
        $stateProvider.state('app.input', {
            url: '/input',
            views: {
                'main@': {
                    templateUrl: 'app/core/layouts/default.html'
                },
                'content@app.input': {
                    templateUrl: 'app/page/input/input.html',
                    controller: 'InputController as vm'
                }
            },
            previous: {
                name: 'app.main'
            }
        });

        $translatePartialLoaderProvider.addPart('app/page/input');

    }

})();
