(function () {
    'use strict';

    angular
        .module('app.page.list')
        .controller('ListController', ListController);

    /** @ngInject */
    function ListController(STAPIService, UI, config) {
        var vm = this;
        config('backDetails', 'app.list');

        UI.loading(true);
        STAPIService.get()
            .then(function (data) {
                UI.loading(false);
                vm.showloader = false;
                vm.results = data;
            });
    }
})();
