(function () {
    'use strict';

    angular
        .module('app.page.main', [])
        .config(config);

    /** @ngInject */
    function config($stateProvider, $translatePartialLoaderProvider) {
        $stateProvider.state('app.main', {
            url: '/',
            views: {
                'main@': {
                    templateUrl: 'app/core/layouts/default.html'
                },
                'content@app.main': {
                    templateUrl: 'app/page/main/main.html',
                    controller: 'MainController as vm'
                }
            }
        });

        $translatePartialLoaderProvider.addPart('app/page/main');

    }

})();
