(function () {
    'use strict';

    angular
        .module('app.page.player')
        .controller('PlayerController', PlayerController);

    /** @ngInject */
    function PlayerController($stateParams, STAPIService, $state) {
        var vm = this;

		$state.$current.previous.params = {id: $stateParams.id};

        var currentId = $stateParams.id;
        if (currentId) {
            STAPIService.get(currentId)
                .then(function (data) {
                    vm.video = data;
                });
        }
    }
})();
