(function () {
    'use strict';

    angular
        .module('app.page.player', [])
        .config(config);

    /** @ngInject */
    function config($stateProvider, $translatePartialLoaderProvider) {
        $stateProvider.state('app.player', {
            url: '/player/:id',
            views: {
                'main@': {
                    templateUrl: 'app/core/layouts/basic.html'
                },
                'content@app.player': {
                    templateUrl: 'app/page/player/player.html',
                    controller: 'PlayerController as vm'
                }
            },
            previous: {
                name: 'app.detail'
            }
        });

        $translatePartialLoaderProvider.addPart('app/page/player');

    }

})();
