(function () {
    'use strict';

    angular
        .module('app.toolbar')
        .controller('ToolbarController', ToolbarController);

    /** @ngInject */
    function ToolbarController($scope, STA, UI) {
        $scope.exitApp = exitApp;
        $scope.onLoadMenu = onLoadMenu;

        //// ------

        function exitApp($event) {
            if ($event) {
                $event.preventDefault();
                $event.stopPropagation();
            }

            STA.close();
        }

        function onLoadMenu() {
            UI.focus('active');
            UI.hideSplash();
        }
    }

})();
