(function () {
    'use strict';

    angular
        .module('app.core')
        .run(config)
        .factory('config', configService);

    /** @ngInject */
    function config($rootScope) {
        $rootScope.tempVariables = {};
    }

    /** @ngInject */
    function configService($rootScope) {
        return function (key, value) {
            if (typeof value !== 'undefined') {
                $rootScope.tempVariables[key] = value;
                return value;
            } else {
                return $rootScope.tempVariables[key] ? $rootScope.tempVariables[key] : null;
            }
        }
    }

})();
