(function () {
    'use strict';

    angular
        .module('app.core')
        .directive('elemReady', elemReadyDirective);

    /** @ngInject */
    function elemReadyDirective() {
        return {
            restrict: 'A',
            scope: {
                elemReady: '&'
            },
            link: function (scope, element, attrs) {
                element.ready(function () {
                    var func = scope.elemReady();
                    if (func) {
                        func();
                    }
                })
            }
        };
    }

})();
