(function () {
    'use strict';

    angular
        .module('app.page.detail')
        .controller('DetailController', DetailController);

    /** @ngInject */
    function DetailController($rootScope, $stateParams, $state, STAPIService, UI, config) {
        var vm = this;

        if (config('backDetails')) {
            $state.$current.previous.name = config('backDetails');
        }

        vm.onLoadMovie = onLoadMovie;

        var currentId = $stateParams.id;
        if (currentId) {
            STAPIService.get(currentId)
                .then(function (data) {
                    vm.movie = data;
                });
        }

        ///// -----

        function onLoadMovie() {
            UI.focus('boxed');
        }
    }
})();
