(function () {
    'use strict';

    angular
        .module('app.page.detail', [])
        .config(config);

    /** @ngInject */
    function config($stateProvider, $translatePartialLoaderProvider) {
        $stateProvider.state('app.detail', {
            url: '/detail/:id',
            views: {
                'main@': {
                    templateUrl: 'app/core/layouts/default.html'
                },
                'content@app.detail': {
                    templateUrl: 'app/page/detail/detail.html',
                    controller: 'DetailController as vm'
                }
            },
            previous: {
                name: 'app.list'
            }
        });

        $translatePartialLoaderProvider.addPart('app/page/detail');

    }

})();
