(function () {
    'use strict';

    angular
        .module('app.page.list', [])
        .config(config);

    /** @ngInject */
    function config($stateProvider, $translatePartialLoaderProvider) {
        $stateProvider.state('app.list', {
            url: '/list',
            views: {
                'main@': {
                    templateUrl: 'app/core/layouts/default.html'
                },
                'content@app.list': {
                    templateUrl: 'app/page/list/list.html',
                    controller: 'ListController as vm'
                }
            },
            previous: {
                name: 'app.main'
            }
        });

        $translatePartialLoaderProvider.addPart('app/page/list');

    }

})();
