(function () {
    'use strict';

    angular
        .module('app.page.search', [])
        .config(config);

    /** @ngInject */
    function config($stateProvider, $translatePartialLoaderProvider) {
        $stateProvider.state('app.search', {
            url: '/search',
            views: {
                'main@': {
                    templateUrl: 'app/core/layouts/default.html'
                },
                'content@app.search': {
                    templateUrl: 'app/page/search/search.html',
                    controller: 'SearchController as vm'
                }
            },
            previous: {
                name: 'app.main'
            }
        });

        $translatePartialLoaderProvider.addPart('app/page/search');

    }

})();
